#ifndef _TEST_APP
#define _TEST_APP



// this order IS important:

// case (a):
#define 	OFADDON_USING_OF_CV
#include 	"ofMain.h"
#include 	"blah.h"

// a means, blah doesn't need "OFADDON_USING_OF_CV" and 
// can use opencv

/*
case (b):

#include 	"blah.h"
//#define 	OFADDON_USING_OF_CV
#include 	"ofMain.h"

blah uses opencv, then anything after it doesn't need 
opencv include, like ofMain.
*/

// a = objects lower (like testApp) effect objects inside it
// b = objects hight (like blah) effect objects down....

// I think (a) is the optimal solution....
// just need to *educate* but people seem really willing to try
// 



class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void keyReleased (int key);
		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		float 	counter;
		bool	bSmooth;
		
		ofCvRectangle test;	// test if includes are right
		
		
		blah		  testb;
};

#endif
	
